data:extend(
{
  {
    type = "fluid",
    name = "molten-tin",
    default_temperature = 400,
    max_temperature = 400,
    heat_capacity = "0KJ",
    base_color = {r=214, g=165, b=91},
    flow_color = {r=214, g=165, b=91},
    icon = "__KasTech_Metallurgy__/graphics/fluid/molten-tin.png",
    order = "tin",
    pressure_to_speed_ratio = 0.2,
    flow_to_energy_ratio = 0.295,
    subgroup = "metallurgy-fluid-metal-basic",
  },
  {
    type = "fluid",
    name = "molten-zinc",
    default_temperature = 500,
    max_temperature = 500,
    heat_capacity = "0KJ",
    base_color = {r=214, g=165, b=91},
    flow_color = {r=214, g=165, b=91},
    icon = "__KasTech_Metallurgy__/graphics/fluid/molten-zinc.png",
    order = "zinc",
    pressure_to_speed_ratio = 0.2,
    flow_to_energy_ratio = 0.295,
    subgroup = "metallurgy-fluid-metal-basic",
  },
  {
    type = "fluid",
    name = "molten-lead",
    default_temperature = 400,
    max_temperature = 400,
    heat_capacity = "0KJ",
    base_color = {r=214, g=165, b=91},
    flow_color = {r=214, g=165, b=91},
    icon = "__KasTech_Metallurgy__/graphics/fluid/molten-lead.png",
    order = "lead",
    pressure_to_speed_ratio = 0.2,
    flow_to_energy_ratio = 0.295,
    subgroup = "metallurgy-fluid-metal-basic",
  },
  {
    type = "fluid",
    name = "molten-silver",
    default_temperature = 2200,
    max_temperature = 2200,
    heat_capacity = "0KJ",
    base_color = {r=214, g=165, b=91},
    flow_color = {r=214, g=165, b=91},
    icon = "__KasTech_Metallurgy__/graphics/fluid/molten-silver.png",
    order = "silver",
    pressure_to_speed_ratio = 0.2,
    flow_to_energy_ratio = 0.295,
    subgroup = "metallurgy-fluid-metal-basic",
  },
  {
    type = "fluid",
    name = "molten-gold",
    default_temperature = 1100,
    max_temperature = 1100,
    heat_capacity = "0KJ",
    base_color = {r=214, g=165, b=91},
    flow_color = {r=214, g=165, b=91},
    icon = "__KasTech_Metallurgy__/graphics/fluid/molten-gold.png",
    order = "gold",
    pressure_to_speed_ratio = 0.2,
    flow_to_energy_ratio = 0.295,
    subgroup = "metallurgy-fluid-metal-basic",
  },
  {
    type = "fluid",
    name = "molten-aluminium",
    default_temperature = 1100,
    max_temperature = 1100,
    heat_capacity = "0KJ",
    base_color = {r=98, g=87, b=34},
    flow_color = {r=98, g=87, b=34},
    icon = "__KasTech_Metallurgy__/graphics/fluid/molten-aluminium.png",
    order = "aluminium",
    pressure_to_speed_ratio = 0.2,
    flow_to_energy_ratio = 0.295,
    subgroup = "metallurgy-fluid-metal-basic",
  },
  {
    type = "fluid",
    name = "molten-tungsten",
    default_temperature = 3500,
    max_temperature = 3500,
    heat_capacity = "0KJ",
    base_color = {r=214, g=165, b=91},
    flow_color = {r=214, g=165, b=91},
    icon = "__KasTech_Metallurgy__/graphics/fluid/molten-tungsten.png",
    order = "tungsten",
    pressure_to_speed_ratio = 0.2,
    flow_to_energy_ratio = 0.295,
    subgroup = "metallurgy-fluid-metal-basic",
  },
  {
    type = "fluid",
    name = "molten-titanium",
    default_temperature = 1800,
    max_temperature = 1800,
    heat_capacity = "0KJ",
    base_color = {r=255, g=232, b=221},
    flow_color = {r=255, g=232, b=221},
    icon = "__KasTech_Metallurgy__/graphics/fluid/molten-titanium.png",
    order = "titanium",
    pressure_to_speed_ratio = 0.2,
    flow_to_energy_ratio = 0.295,
    subgroup = "metallurgy-fluid-metal-basic",
  },
  {
    type = "fluid",
    name = "molten-cobalt",
    default_temperature = 1600,
    max_temperature = 1600,
    heat_capacity = "0KJ",
    base_color = {r=19, g=99, b=169},
    flow_color = {r=19, g=99, b=169},
    icon = "__KasTech_Metallurgy__/graphics/fluid/molten-cobalt.png",
    order = "cobalt",
    pressure_to_speed_ratio = 0.2,
    flow_to_energy_ratio = 0.295,
    subgroup = "metallurgy-fluid-metal-basic",
  },
  {
    type = "fluid",
    name = "molten-chromium",
    default_temperature = 2000,
    max_temperature = 2000,
    heat_capacity = "0KJ",
    base_color = {r=98, g=87, b=34},
    flow_color = {r=98, g=87, b=34},
    icon = "__KasTech_Metallurgy__/graphics/fluid/molten-chromium.png",
    order = "chrmoium",
    pressure_to_speed_ratio = 0.2,
    flow_to_energy_ratio = 0.295,
    subgroup = "metallurgy-fluid-metal-basic",
  },
}
)