require "config"

data:extend(
{ 
  {
    type = "recipe",
    name = "mold_crafting-firearm",
	icon = "__base__/graphics/icons/firearm-magazine.png",
	icon_size = 32,
	category = "metallurgy-mold",
    energy_required = 1,
    enabled = true,
    subgroup = "liquid-crafting-ammo",
    ingredients =
    {
	  {type="fluid", name="molten-iron", amount=75},
    },
    results = 
	{
	  {type="item", name="firearm-magazine", amount=5},
	  --{type="item", name="mold-ammo-basic", amount_min=1, amount_max=1,},
	}
  },
  {
    type = "recipe",
    name = "mold_crafting-shotgun",
	category = "metallurgy-mold",
	icon = "__base__/graphics/icons/shotgun-shell.png",
	icon_size = 32,
    energy_required = 0.5,
	enabled = true,
    subgroup = "liquid-crafting-ammo",
    ingredients =
    {
	  {type="fluid", name="molten-iron", amount=15},
	  {type="fluid", name="molten-copper", amount=15},
    },
    results = 
	{
	  {type="item", name="shotgun-shell", amount=1},
	  --{type="item", name="mold-ammo-basic", amount_min=1, amount_max=1},
	}
  },
}
)