data:extend(
{
  {
    type = "fluid",
    name = "molten-copper-tungsten",
    default_temperature = 2800,
    max_temperature = 2800,
    heat_capacity = "0KJ",
    base_color = {r=214, g=165, b=91},
    flow_color = {r=214, g=165, b=91},
    icon = "__KasTech_Metallurgy__/graphics/fluid/molten-copper-tungsten.png",
    order = "copper-tungsten",
    pressure_to_speed_ratio = 0.2,
    flow_to_energy_ratio = 0.295,
    subgroup = "metallurgy-fluid-metal-advanced",
  },
  {
    type = "fluid",
    name = "molten-bronze",
    default_temperature = 2800,
    max_temperature = 2800,
    heat_capacity = "0KJ",
    base_color = {r=214, g=165, b=91},
    flow_color = {r=214, g=165, b=91},
    icon = "__KasTech_Metallurgy__/graphics/fluid/molten-bronze.png",
    order = "bronze",
    pressure_to_speed_ratio = 0.2,
    flow_to_energy_ratio = 0.295,
    subgroup = "metallurgy-fluid-metal-advanced",
  },
  {
    type = "fluid",
    name = "molten-brass",
    default_temperature = 2800,
    max_temperature = 2800,
    heat_capacity = "0KJ",
    base_color = {r=214, g=165, b=91},
    flow_color = {r=214, g=165, b=91},
    icon = "__KasTech_Metallurgy__/graphics/fluid/molten-brass.png",
    order = "brass",
    pressure_to_speed_ratio = 0.2,
    flow_to_energy_ratio = 0.295,
    subgroup = "metallurgy-fluid-metal-advanced",
  },
  {
    type = "fluid",
    name = "molten-electrum",
    default_temperature = 2800,
    max_temperature = 2800,
    heat_capacity = "0KJ",
    base_color = {r=214, g=165, b=91},
    flow_color = {r=214, g=165, b=91},
    icon = "__KasTech_Metallurgy__/graphics/fluid/molten-electrum.png",
    order = "electrum",
    pressure_to_speed_ratio = 0.2,
    flow_to_energy_ratio = 0.295,
    subgroup = "metallurgy-fluid-metal-advanced",
  },
  {
    type = "fluid",
    name = "molten-gunmetal",
    default_temperature = 2800,
    max_temperature = 2800,
    heat_capacity = "0KJ",
    base_color = {r=214, g=165, b=91},
    flow_color = {r=214, g=165, b=91},
    icon = "__KasTech_Metallurgy__/graphics/fluid/molten-gunmetal.png",
    order = "gunmetal",
    pressure_to_speed_ratio = 0.2,
    flow_to_energy_ratio = 0.295,
    subgroup = "metallurgy-fluid-metal-advanced",
  },
  {
    type = "fluid",
    name = "molten-titanium-aluminide",
    default_temperature = 1400,
    max_temperature = 1400,
    heat_capacity = "0KJ",
    base_color = {r=98, g=87, b=34},
    flow_color = {r=98, g=87, b=34},
    icon = "__KasTech_Metallurgy__/graphics/fluid/molten-titanium.png",
    order = "titanium-aluminide",
    pressure_to_speed_ratio = 0.2,
    flow_to_energy_ratio = 0.295,
    subgroup = "metallurgy-fluid-metal-advanced",
  },
  {
    type = "fluid",
    name = "molten-stellite",
    default_temperature = 1400,
    max_temperature = 1400,
    heat_capacity = "0KJ",
    base_color = {r=98, g=87, b=34},
    flow_color = {r=98, g=87, b=34},
    icon = "__KasTech_Metallurgy__/graphics/fluid/molten-stellite.png",
    order = "stellite",
    pressure_to_speed_ratio = 0.2,
    flow_to_energy_ratio = 0.295,
    subgroup = "metallurgy-fluid-metal-advanced",
  },
  {
    type = "fluid",
    name = "molten-stainless-steel",
    default_temperature = 1400,
    max_temperature = 1400,
    heat_capacity = "0KJ",
    base_color = {r=98, g=87, b=34},
    flow_color = {r=98, g=87, b=34},
    icon = "__KasTech_Metallurgy__/graphics/fluid/molten-stainless-steel.png",
    order = "stainless-steel",
    pressure_to_speed_ratio = 0.2,
    flow_to_energy_ratio = 0.295,
    subgroup = "metallurgy-fluid-metal-advanced",
  },
  {
    type = "fluid",
    name = "molten-solder",
    default_temperature = 1400,
    max_temperature = 1400,
    heat_capacity = "0KJ",
    base_color = {r=98, g=87, b=34},
    flow_color = {r=98, g=87, b=34},
    icon = "__KasTech_Metallurgy__/graphics/fluid/molten-solder.png",
    order = "solder",
    pressure_to_speed_ratio = 0.2,
    flow_to_energy_ratio = 0.295,
    subgroup = "metallurgy-fluid-metal-advanced",
  },
}
)