data:extend(
{
  {
    type = "fluid",
    name = "molten-copper",
    default_temperature = 1000,
    max_temperature = 1000,
    heat_capacity = "0KJ",
    base_color = {r=214, g=165, b=91},
    flow_color = {r=214, g=165, b=91},
    icon = "__KasTech_Metallurgy__/graphics/fluid/molten-copper.png",
	icon_size = 32,
    order = "copper",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
    subgroup = "metallurgy-fluid-metal-basic",
  },
  {
    type = "fluid",
    name = "molten-iron",
    default_temperature = 1400,
    max_temperature = 1400,
    heat_capacity = "0KJ",
    base_color = {r=185, g=188, b=192},
    flow_color = {r=185, g=188, b=192},
    icon = "__KasTech_Metallurgy__/graphics/fluid/molten-iron.png",
	icon_size = 32,
    order = "iron",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
    subgroup = "metallurgy-fluid-metal-basic",
  },
  {
    type = "fluid",
    name = "molten-carbonated-iron",
    default_temperature = 1900,
    max_temperature = 1900,
    heat_capacity = "0KJ",
    base_color = {r=185, g=188, b=192},
    flow_color = {r=185, g=188, b=192},
    icon = "__KasTech_Metallurgy__/graphics/fluid/molten-carbonated-iron.png",
	icon_size = 32,
    order = "carbonated-iron",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
    subgroup = "metallurgy-fluid-metal-basic",
  },
}
)